CREATE TABLE dbo.QW_HARDWARE (
    qw_hardwareid  int  NOT NULL,
    qw_name        varchar(255) NOT NULL ,
    qw_description varchar(2000) NULL ,
    CONSTRAINT pk_qw_hardware PRIMARY KEY (qw_hardwareid)
)
GO

CREATE TABLE dbo.QW_OS (
    qw_osid  int  NOT NULL,
    qw_name        varchar(255) NOT NULL ,
    qw_description varchar(2000) NULL ,
    CONSTRAINT pk_qw_os PRIMARY KEY (qw_osid)
)
GO

-- all new update scripts must include a line like this:
UPDATE QX_SYS_PROP SET PROP_VAL = '053' WHERE (PROP_ID = 'DB_APP_VERSION');